Bug 3430 - MTU is ignored in ifcfg-eth* setups
: MTU is ignored in ifcfg-eth* setups
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/net-scripts)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-01-06 00:32 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-01-06 00:32:51
Contains of /etc/sysconfig/network-scripts/ifcfg-eth0 on my machine:

DEVICE=eth0
BOOTPROTO=dhcp
NETMASK=255.255.255.0
ONBOOT=yes
NEEDHOSTNAME=
PEERDNS=yes
MTU=1476

The DHCP client is from the package dhcp-client-3.0.1-alt5


Actual Results:  
After setting up the eth0 interface at startup, MTU is set to 1500.

Expected Results:  
MTU should be set to 1476 as specified in the inferface configuration.
------- Comment #1 From 2004-01-06 21:36:47 -------
The "MTU" option works in regular configuration (without DHCP). 
------- Comment #2 From 2004-01-07 02:19:46 -------
> The "MTU" option works in regular configuration (without DHCP).

I think it should work in DHCP-enabled configuration too, as a means to override
the negotiated setting.
Personally, I need it to access Altlinux office hosts (via caltrop).
------- Comment #3 From 2004-03-17 22:29:56 -------
дайте проверить
------- Comment #4 From 2004-03-18 00:17:25 -------
Похоже, MTU и MACADDR правильнее назначать до старта $DHCP_CLIENT, так как это
параметры link level, а не network level.
------- Comment #5 From 2004-03-18 00:22:08 -------
ARP, PROMISC и ALLMULTI туда же напрашиваются
------- Comment #6 From 2004-03-21 16:34:56 -------
С MACADDR всё было в норме, он устанавливался до вызова DHCP_CLIENT.
Рядом с ним теперь (0.4.1) должны устанавливаться параметры MTU, ARP, PROMISC,
ALLMULTI и MULTICAST. 0.4.1 планирую проверять сегодня.
------- Comment #7 From 2004-03-21 23:59:03 -------
Проверено, залито net-scripts-0.4.2-alt1.
Проверьте у себя.
------- Comment #8 From 2004-03-22 00:03:05 -------
Что за странный цикл у этих багов? Хоть бы граф состояний приделали...
------- Comment #9 From 2004-03-22 00:03:44 -------
RESOLVED FIXED